package com.fs.his.service;

import com.fs.aiChat.domain.InterestAiChatMsg;
import com.fs.aiChat.domain.InterestAiSession;
import com.fs.aiChat.domain.SessionRoleInfo;
import com.fs.aiChat.param.InterestAiMessage;
import com.fs.his.domain.FsInterestAiSession;

import java.util.List;

public interface IHisInterestAiChatSessionService {

    /**
     * 根据当前用户获取用户的会话列表
     * @param session
     * @return
     */
    List<InterestAiSession> getAllRolesListByUserId(InterestAiSession session);

    /**
     * 根据角色id获取会话角色信息
     * @param roleId
     * @return
     */
    SessionRoleInfo getSessionRoleInfoByRoleId(Long roleId);

    /**
     * 根据会话id获取会话聊天记录
     * @param sessionId
     * @return
     */
    List<InterestAiChatMsg> getSessionChatList(String sessionId);

    /**
     * 创建会话
     * @param fsInterestAiSession
     * @return
     */
    FsInterestAiSession createSession(FsInterestAiSession fsInterestAiSession);

    String chatByUser(InterestAiMessage message);

    /**
     * 获取推荐角色列表
     * @return
     */
    List<SessionRoleInfo> getRecommendRoleList(String userId);
}
